Subject: Re: [PATCH net-next] drivers/net: delete old 8bit ISA 3c501 driver.

From: Ondrej Zary <[email-masked]>
Date: Sat, 19 May 2012 10:58:41 +0200

On Saturday 19 May 2012 00:03:06 Paul Gortmaker wrote:
> [Re: [PATCH net-next] drivers/net: delete old 8bit ISA 3c501 driver.] On 
18/05/2012 (Fri 20:16) Ondrej Zary wrote:
> > On Friday 18 May 2012 19:39:29 Paul Gortmaker wrote:
> > > It was amusing that linux was able to make use of this 1980's
> > > technology on machines long past its intended lifespan, but
> > > it probably should go now -- it is causing issues in some
> > > distros[1], and while that might be fixable, it is just not
> > > worth it.
> > >
> > > [1]
> > > http://www.linuxquestions.org/questions/linux-networking-3/3com-3c501-c
> > >ard- not-detecting-934344/
> >
> > That looks like a bug elsewhere and removing this driver will not fix it.
>
> You miss the point.  We've got someone with a modern i7 machine who is
> getting confused by seeing messages from some ancient 3c501 driver, but
> he doesn't have the context to know it is ancient and the message is a
> red herring.  Will it fix a distro's broken init that tries to modprobe
> everything?  No.  Will it help by not muddying the waters with
> meaningless printk from 3c501 that confuse users?  Yes.

Are you going to remove all drivers that complain that the HW is not present 
because some broken script is trying to modprobe them all? Or only the first 
one? 3c501 is probably the first in alphabet. You remove that and the script 
will modprobe 3c503 then...

-- 
Ondrej Zary